clang 10.0.0git

Public Member Functions | List of all members
clang::ASTImporterSharedState Class Reference

Importer specific state, which may be shared amongst several ASTImporter objects. More...

`#include "clang/AST/ASTImporterSharedState.h"`

## Public Member Functions
| ASTImporterSharedState ()=default
| ASTImporterSharedState (TranslationUnitDecl &ToTU)
ASTImporterLookupTable * | getLookupTable ()
void | addDeclToLookup (Decl *D)
void | removeDeclFromLookup (Decl *D)
llvm::Optional< ImportError > | getImportDeclErrorIfAny (Decl *ToD) const
void | setImportDeclError (Decl *To, ImportError Error)

## Detailed Description

Importer specific state, which may be shared amongst several ASTImporter objects.

Definition at line 30 of file ASTImporterSharedState.h.

## Constructor & Destructor Documentation

## ◆ ASTImporterSharedState() [1/2]

clang::ASTImporterSharedState::ASTImporterSharedState | ( |  | ) |
| default

## ◆ ASTImporterSharedState() [2/2]

clang::ASTImporterSharedState::ASTImporterSharedState | ( | TranslationUnitDecl & | ToTU | ) |
| inline

Definition at line 49 of file ASTImporterSharedState.h.

## Member Function Documentation

## ◆ addDeclToLookup()

void clang::ASTImporterSharedState::addDeclToLookup | ( | Decl * | D | ) |
| inline

Definition at line 55 of file ASTImporterSharedState.h.

## ◆ getImportDeclErrorIfAny()

llvm::Optional<ImportError> clang::ASTImporterSharedState::getImportDeclErrorIfAny | ( | Decl * | ToD | ) | const
| inline

Definition at line 67 of file ASTImporterSharedState.h.

## ◆ getLookupTable()

ASTImporterLookupTable* clang::ASTImporterSharedState::getLookupTable | ( |  | ) |
| inline

Definition at line 53 of file ASTImporterSharedState.h.

## ◆ removeDeclFromLookup()

void clang::ASTImporterSharedState::removeDeclFromLookup | ( | Decl * | D | ) |
| inline

Definition at line 61 of file ASTImporterSharedState.h.

## ◆ setImportDeclError()

void clang::ASTImporterSharedState::setImportDeclError | ( | Decl * | To,
|  | ImportError | Error
| ) |  |
| inline

Definition at line 75 of file ASTImporterSharedState.h.

References clang::Error.

The documentation for this class was generated from the following file:

- include/clang/AST/ASTImporterSharedState.h